Perguntas mais frequentes - Tecnologia de extras do Firefox está a modernizar-se

O que é uma extensão legada?

Extensões criadas utilizando as estruturas que não são compatíveis com o Firefox 57 e superior, (tais como SDK ou XUL) são consideradas extensões “legadas”.

Como é que eu sei se eu tenho instaladas quaisquer extensões legadas?

Para ver se tem instaladas extensões incompatíveis, vá para o 'Gestor de Extras' (Menu de Ferramentas > Extras, ou digite “about:addons” num novo separador. Se tiver uma extensão legada, irá ver uma nota no topo do seu ecrã, como isto:

Legacy extension warning

Clique na ligação “Mostrar extensões legadas” para ver uma lista de extensões legada instaladas no seu navegador. Clique em “Encontrar uma substituição” ao lado de cada extensão legada para uma alternativa recomendada. Pode ler mais acerca desta funcionalidade no nosso blogue.

Se eu vir a etiqueta “legado”, isso significa que a minha extensão irá ter problemas quando eu atualizar para a versão 57+?

Sim, os extras etiquetados como "legado" provavelmente não irão funcionar quando atualizar. Contudo, a maioria das extensões mais populares do Firefox são compatíveis com o Firefox 57+. Em alguns casos, os programadores estão a trabalhar na atualização das suas extensões para serem compatíveis com as versões atuais do Firefox. Nestes casos, a extensão será atualizada automaticamente quando a versão compatível se tornar disponível.

Se eu vir a etiqueta “legado”, isso significa que a minha extensão está com problemas?

Sim, as extensões etiquetadas como "legada" não irão funcionar com o Firefox 57. Em alguns casos, os programadores irão precisar de continuar a trabalhar depois da data de lançamento no dia 14 de novembro de 2017 para tornarem as suas extensões compatíveis. Nestes casos, a extensão será atualizada automaticamente quando a versão compatível estiver disponível.

Podem recomendar substituições para as minhas extensões legadas?

Sim! Pode explorar a nossa coleção em destaque que consiste nas extensões utilizadas mais populares ou pesquise em addons.mozilla.org (AMO) para extensões compatíveis.

Como alternativa, poderá utilizar o utilitário "extension finder" para pesquisar por uma extensão que gostaria para substituir e descobrir substituições recomendadas.

Sim! Vá para o 'Gestor de Extras' (Menu de Ferramentas > Extras, ou digite about:addons num novo separador) e selecione 'Extensões Legadas. Clique em “Encontrar uma substituição” ao lado de cada extensão legada para uma alternativa recomendada. Pode ler mais acerca desta funcionalidades no nosso blogue.

Nós recomendamos que pesquise por extensões compatíveis em addons.mozilla.org (AMO) ou pesquise na coleção de extensões em destaque.

Como alternativa, poderá utilizar o utilitário "extension finder" para pesquisar por uma extensão que gostaria para substituir e descobrir substituições recomendadas.

Não existem quaisquer substituições recomendadas para uma das minhas extensões legadas. E agora?

  • Se não encontrar uma substituição adequada, por favor, vá até ao nosso fórum para pedir sugestões à comunidade.

Como é que eu encontro as extensões que são compatíveis com o Firefox 57 e superior?

Pode pesquisar em addons.mozilla.org (AMO) por extensões compatíveis. A nossa coleção de extensões em destaque também inclui extensões fantásticas que irão ser compatíveis para além do Firefox 57.

Quando é que o Firefox ESR deixará de suportar as extensões legadas?

O Firefox Extended Support Release (ESR), version 52 é a última versão que irá suportar as extensões legadas. A versão ESR 52 deixará de ser suportada a partir do dia 5 de setembro de 2018.

A partir de outubro de 2018, todos os extras legados serão desativados em addons.mozilla.org (AMO). Assim que isto acontecer, os utilizadores deixarão de poder encontrar extras legados em AMO.

Se decidir executar lançamentos não suportados para utilizar extras legados, isto tornará a sua segurança vulnerável e fraca, e nós fortemente não recomendados que eles sejam utilizados.

Os meus temas irão ter problemas com o Firefox 57?

Se estiver a utilizar um 'Tema Simples', não deverá encontrar quaisquer problemas. Se estiver a utilizar um 'Tema Completo', este será desativado no Firefox 57 e deixará de funcionar. Se utilizar um tema completo escuro, a opção 'Tema Escuro' no 'Gestor de Extras' poderá ser uma boa opção para si. Vá para o separador 'Temas' em about:addons e experimente.

O que aconteceu à minha coleção de temas completos?

Os temas completos não funcionam no Firefox 57+ e estão desativados. Se utiliza um tema completo escuro, a opção 'Tema Escuro' no 'Gestor de Extras' poderá ser uma boa opção para si. Vá para o separador 'Temas' em about:addons e experimente. Nós estamos a melhorar os temas nos próximos meses, portanto, procure por temas com funcionalidades adicionais além de uma sobreposição de imagem em versões futuras.

O que aconteceu ao meu extra relacionado com Flash?

A partir do lançamento da versão 55 do Firefox, o Adobe Flash não é executado por predefinição como Clique-para-executar Flash está integrado no navegador. Pode escolher como deseja que o Flash se comporte em certos sites ou em todos os sites.

Algumas das extensões Flash mais populares estavam a fornecer este recurso antes de se tornar parte do navegador. Como estas extensões agora estão obsoletas, elas provavelmente não serão mais suportadas pelos programadores e deixarão de funcionar.

Em alguns casos, nós temos as APIs das Extensões da Web para capacidades de Flash adicionais (como a eliminação de LSO Flash LSO) e nós prevemos que os extras terão mais recursos do Flash ao longo do tempo e nós trabalhamos juntos para descobrir o que é necessário para criar a paridade da funcionalidade.

// Estas pessoas maravilhosas ajudaram a escrever este artigo:Manuela Silva. Você também pode ajudar - descubra como.

Este artigo foi útil? Por favor, aguarde...

Colabore no Apoio da Mozilla